unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, NxColumns6, NxGridView6, NxControls6, NxCustomGrid6,
  NxVirtualGrid6, NxGrid6;

type
  TForm1 = class(TForm)
    NextGrid61: TNextGrid6;
    NxReportGridView61: TNxReportGridView6;
    NxTextColumn61: TNxTextColumn6;
    NxChartColumn61: TNxChartColumn6;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    Data: array of Double;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  SetLength(Data, 4);
  Data[0] := 4;
  Data[1] := 7;
  Data[2] := 11;
  Data[3] := 12;
  NextGrid61.AddRow;
  NextGrid61.Cell[1, NextGrid61.LastAddedRow].Data := Data;
end;

end.
